Send an Email

Sends an Email to the recipients in the to, cc, and bcc.

Multipart supported, refer to Sending Files.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^acc_(.*)$

ID of the Account (acc_xxx) to call the method on behalf of.

Body Params
string

The HTML content of the email. Required for tracking.

string

The plain text content of the email.

string

Subject of the email.

from
object
to
array of objects
required

List of attendees to set in to header.

to*
cc
array of objects

List of attendees to set in cc header.

cc
bcc
array of objects

List of attendees to set in bcc header.

bcc
reply_to
array of objects

List of attendees to set in the standard Reply-To header. Recipients answering the email will reply to these addresses instead of from. To reply inside an existing conversation, use reply_to_provider_id instead.

reply_to
string
length ≥ 1

The provider ID of the email to reply to. Use the id returned when listing or retrieving the original email. Takes precedence over the deprecated reply_to_message_id field when both are provided.

string
length ≥ 1
deprecated

Deprecated: use reply_to_provider_id instead. The ID of the email message that you're replying to. For Gmail and Outlook, this is the provider ID. For IMAP Send, this is the RFC822 Message-ID header and does not mark the original email as answered. Ignored when reply_to_provider_id is provided.

attachments
array of objects

The list of file attachments to the email.

attachments
custom_headers
array of objects

An array of custom headers to add to the email. Each header overrides any existing header with the same name (case-insensitive), including headers set by other fields such as to, cc, bcc, from, subject, or reply_to. A Reply-To custom header therefore takes precedence over the reply_to field and its value is used verbatim.

custom_headers
tracking_options
object

Configuration of tracking for this email.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json